%define modname django-auth-ldap
%define name    python-%{modname}
%define version 1.1.3
%if 0%{?rhel}
%{!?pyver: %global pyver %(%{__python} -c "from distutils.sysconfig import get_python_version; print(get_python_version())")}
%endif

Name: 		%{name}
Version: 	%{version}
Release: 	1%{?dist}
Summary: 	Django LDAP authentication backend
License:	BSD
Group: 		Development/Python
Url: 		http://pypi.python.org/pypi/django-auth-ldap/
Source0: 	http://pypi.python.org/packages/source/d/django-auth-ldap/django-auth-ldap-%{version}.tar.gz
BuildRequires:	    python-devel
Requires:	    Django
Requires:	    python-ldap
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
This is a Django authentication backend that authenticates against an LDAP
service. Configuration can be as simple as a single distinguished name
template, but there are many rich configuration options for working with users,
groups, and permissions.

%prep
%setup -q -n %modname-%version

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%{python_sitelib}/django_auth_ldap
%{python_sitelib}/django_auth_ldap-%{version}-py%{pyver}.egg-info


%changelog
* Thu Feb 28 2013 Robert Knight <knight@princeton.edu> 1.1.3.el6
- Switch from Mandriva rpm to RHEL rpm
- Made version normal

* Fri Jul 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.10-1mdv2011.0
+ Revision: 688438
- update to new version 1.0.10

* Mon Mar 28 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.9-1
+ Revision: 648672
- update to new version 1.0.9

* Thu Mar 17 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.8-1
+ Revision: 646101
- update to new version 1.0.8

* Sun Dec 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.7-1mdv2011.0
+ Revision: 622931
- update to new version 1.0.7

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.0.6-2mdv2011.0
+ Revision: 592243
- rebuild for python 2.7

* Fri Jul 30 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.6-1mdv2011.0
+ Revision: 563453
- update to new version 1.0.6

* Mon Jul 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 554938
- import python-django-auth-ldap


